<?php
	$urlbase = $_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
	$parts = parse_url($urlbase);
	parse_str($parts['query'], $query);

	// Verifica hierarquia
	if($_SESSION["tipos_usuarios_byslug"][$slug]["hierarquia"] <= $_SESSION["tipos_usuarios"][$_SESSION["usuario"]["tipo"]]["hierarquia"] && $_SESSION["tipos_usuarios"][$_SESSION["usuario"]["tipo"]]["hierarquia"] <> '1'){ echo '<script> location.href = "/sem-permissao"; </script>'; exit; }

	// Consulta a API
	$params['token'] = $_SESSION["usuario"]["api_token"];
	if(isset($query["date"])){ $params['date'] = $query['date']; $params['enddate'] = $query['enddate']; }
	$api = api('/getManagersBalance', $params);
	$api = json_decode($api, 1);
?>